﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<%@ Register Src="~/WebUserControl_Cs.ascx" TagName="UC1" TagPrefix="UC" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
    </telerik:RadScriptManager>
    <telerik:RadWindow ID="RadWindow1" runat="server" Height="500px" Width="900px" OnClientShow="OnClientShow"
        OnClientResizeStart="OnClientResizeStart" OnClientResizeEnd="OnClientResizeEnd">
        <ContentTemplate>
            <div style="width: 100%; height: 100%; background-color: Aqua;">
                <UC:UC1 ID="UC2" runat="server" />
            </div>
        </ContentTemplate>
    </telerik:RadWindow>
    <telerik:RadWindow ID="RadWindow2" runat="server" Height="500px" Width="900px" OnClientShow="OnClientShow"
        OnClientResizeStart="OnClientResizeStart" OnClientResizeEnd="OnClientResizeEnd"
        NavigateUrl="Popup.aspx">
    </telerik:RadWindow>
    <asp:Button ID="Button1" runat="server" Text="Open RadWindow1" OnClientClick="openRadWindow1(); return false;" />
    <asp:Button ID="Button2" runat="server" Text="Open RadWindow2" OnClientClick="openRadWindow2(); return false;" />
    <telerik:RadScriptBlock ID="RadScriptBlock1" runat="server">
        <script type="text/javascript">

            var windowPopupElement = null;
            var oCurrentWindow;

            function openRadWindow1()
            {
                var oWindow = $find("<%= RadWindow1.ClientID %>");
                oWindow.show();
                oWindow.set_visibleTitlebar(false);
            }
            function openRadWindow2()
            {
                var oWindow = $find("<%= RadWindow2.ClientID %>");
                oWindow.show();
                oWindow.set_visibleTitlebar(false);
            }

            function OnClientShow(oWindow, args)
            {
                windowPopupElement = oWindow.get_popupElement();
                oCurrentWindow = oWindow;
                $telerik.$(document).mousemove(mouseMoveHandler);
            }

            function OnClientResizeStart(oWindow, args)
            {
                $telerik.$(document).unbind("mousemove");
                oWindow.set_visibleTitlebar(true);
            }
            function OnClientResizeEnd(oWindow, args)
            {
                $telerik.$(document).mousemove(mouseMoveHandler);
            }

            function mouseMoveHandler(args)
            {
                var isOverRadWindow = $telerik.isMouseOverElementEx(windowPopupElement, args.originalEvent);
                if (oCurrentWindow.get_visibleTitlebar() != isOverRadWindow)
                    oCurrentWindow.set_visibleTitlebar(isOverRadWindow);
            }

            function setTitleVisible()
            {
                if (oCurrentWindow.get_visibleTitlebar() == false)
                    oCurrentWindow.set_visibleTitlebar(true);
            }

            Telerik.Web.UI.RadWindow.prototype.set_visibleTitlebar = function (value)
            {
                if (this._visibleTitlebar != value)
                {
                    this._visibleTitlebar = value;
                }

                if (this._titlebarElement)
                {
                    // The animation
                    if (value)
                    {
                        $telerik.$(this._titlebarElement).show("slow");
                    }
                    else
                    {
                        $telerik.$(this._titlebarElement).hide("slow");
                    }
                }
            };
        </script>
    </telerik:RadScriptBlock>
    </form>
</body>
</html>
